	list p=16f883
	#include "p16f883.inc"
;	__config	_CONFIG1, _HS_OSC & _WDT_OFF & _PWRTE_ON & _MCLRE_OFF & _CP_OFF & _CPD_OFF & _BOR_ON & _IESO_OFF & _FCMEN_OFF & _LVP_OFF & _DEBUG_OFF
;	__config	_CONFIG2, _BOR40V & _WRT_OFF


work0	equ	0x20
work1	equ	0x21
work2	equ	0x22
val_ra	equ	0x23


	org	0x200
	goto	init

wait1ms
	clrf	work0
	call	wait1ms_loop
	call	wait1ms_loop
	call	wait1ms_loop
wait1ms_loop
	nop
	nop
	decfsz	work0, 1
	goto	wait1ms_loop
	retlw	0

wait50ms
	movlw	0x32
	movwf	work1
wait50ms_loop
	call	wait1ms
	decfsz	work1, 1
	goto	wait50ms_loop
	retlw	0


initreg
	clrf	STATUS			; RP0
	bsf	STATUS, RP0
	
	movlw	0x22			; ra: OOIOOOIO
	movwf	PORTA
	movlw	0			; rb: OOOOOOOO
	movwf	PORTB
	movlw	0			; rc: OOOOOOOO
	movwf	PORTC
	
	movlw	0
	movwf	OPTION_REG & 0x7f	; TMR0: 2.5MHz
	
	bcf	STATUS, RP0
	
	retlw	0


init
	clrf	STATUS
	movlw	0x01
	movwf	val_ra
	movwf	PORTA
	movlw	0xff
	movwf	PORTB
	clrf	PORTC
	
	call	initreg
	
main
	movlw	0x11
	movwf	PORTC
	call	wait50ms
	
	movlw	0x22
	movwf	PORTC
	call	wait50ms
	
	movlw	0x44
	movwf	PORTC
	call	wait50ms
	
	movlw	0x88
	movwf	PORTC
	call	wait50ms
	
	goto	main


	end
